=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2009-04-24 10:23:44 +0000
+++ loggerhead/apps/branch.py	2009-04-30 11:15:58 +0000
@@ -119,7 +119,11 @@
             self._static_url_base = self._url_base
         self._environ = environ
         if self.served_url is _DEFAULT:
-            self.served_url = self.url([])
+            public_branch = self.branch_url()
+            if public_branch is not None:
+                self.served_url = public_branch
+            else:
+                self.served_url = self.url([])
         path = request.path_info_pop(environ)
         if not path:
             raise httpexceptions.HTTPMovedPermanently(

=== modified file 'loggerhead/changecache.py'
--- loggerhead/changecache.py	2009-04-24 10:30:15 +0000
+++ loggerhead/changecache.py	2009-05-02 14:01:05 +0000
@@ -44,6 +44,7 @@
     # To avoid races around creating the database, we create the db in
     # a temporary file and rename it into the ultimate location.
     fd, temp_path = tempfile.mkstemp(dir=os.path.dirname(filename))
+    os.close(fd)
     con = dbapi2.connect(temp_path)
     cur = con.cursor()
     cur.execute(init_sql)

